<template>
  <div>
    <span :class="['icon', isLoading ? 'route-loading' : 'route-unloading']" />
    {{ item.arrivedAt | date }}
  </div>
</template>

<script>
export default {
  name: 'date',
  props: {
    item: {
      type: Object,
      default: () => {},
    },
  },
  computed: {
    isLoading() {
      return this.item.pointType === 'LOADING'
    },
  },
}
</script>

<style lang="scss" scoped>
@import '~common-components/src/static/css/variables';

.icon {
  padding-right: 10px;
}

.route {
  &-loading {
    color: $diamond-orange-yellow;
  }
  &-unloading {
    color: $color-green-light;
  }
}
</style>
